package com.ejie.ab79.model.actividadesCenso;

import java.math.BigDecimal;

import com.ejie.ab79.model.REST.servicioWeb.Ubicacion;

/**
 * DatosEstablecimiento  
 * 
 *  
 */

public class ActividadesCenso implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idEstablecimiento;
	private String numeroRegistro;
	private String nombreComercial;
	private Integer numUnidadesAlojamiento;
	private Integer totalPlazas;
	private String tipoActividadEs;
	private String tipoActividadEu;
	private String modalidadEs;
	private String modalidadEu;
	private String especialidadEs;
	private String especialidadEu;
	private String grupoEs;
	private String grupoEu;
	private String categoriaEs;
	private String categoriaEu;
	private String telefono;
	private String email;
	private String web;
	private Ubicacion datosUbicacion;
	private Integer numSalones;
	private Integer numComedores;
	private Integer numSalonesComedor;
	private Integer numHabitaciones;
	private Integer numHabitacionesIndividuales;
	private Integer numHabitacionesDobles;
	private Integer numHabitacionesDoblesCS;
	private Integer numHabMas4;
	private Integer numHabMenos4;
	private Integer numConjuntos;
	private Integer numEstudios;
	private Integer numApartamentos;
	private Integer numSuites;
	private Integer numMaximoSupletorias;
	private Integer numTotalParcelas;
	private Integer numParcelasANF;
	private Integer numParcelasAF;
	private Integer numParcelasSA;
	private Integer numBanosGenerales;
	private Integer numResidentesPerm;
	private Integer numDormResid;
	private Integer numDormUsuario;
	private Integer bar;
	private Integer restaurante;
	private Integer piscina;
	private Integer disponeSalon;
	private Integer disponeCocina;
	private BigDecimal superficieTotal;
	private BigDecimal superficieTotalHabitaciones;
	private BigDecimal superficieTotalRestoDependencias;

	/**
	 * Method 'ActividadesCenso'.
	 */
	public ActividadesCenso() {
	}

	public Integer getIdEstablecimiento() {
		return idEstablecimiento;
	}

	public void setIdEstablecimiento(Integer idEstablecimiento) {
		this.idEstablecimiento = idEstablecimiento;
	}

	public String getNumeroRegistro() {
		return numeroRegistro;
	}

	public void setNumeroRegistro(String numeroRegistro) {
		this.numeroRegistro = numeroRegistro;
	}

	public String getNombreComercial() {
		return nombreComercial;
	}

	public void setNombreComercial(String nombreComercial) {
		this.nombreComercial = nombreComercial;
	}

	public Integer getNumUnidadesAlojamiento() {
		return numUnidadesAlojamiento;
	}

	public void setNumUnidadesAlojamiento(Integer numUnidadesAlojamiento) {
		this.numUnidadesAlojamiento = numUnidadesAlojamiento;
	}

	public Integer getTotalPlazas() {
		return totalPlazas;
	}

	public void setTotalPlazas(Integer totalPlazas) {
		this.totalPlazas = totalPlazas;
	}

	public String getTipoActividadEs() {
		return tipoActividadEs;
	}

	public void setTipoActividadEs(String tipoActividadEs) {
		this.tipoActividadEs = tipoActividadEs;
	}

	public String getTipoActividadEu() {
		return tipoActividadEu;
	}

	public void setTipoActividadEu(String tipoActividadEu) {
		this.tipoActividadEu = tipoActividadEu;
	}

	public String getModalidadEs() {
		return modalidadEs;
	}

	public void setModalidadEs(String modalidadEs) {
		this.modalidadEs = modalidadEs;
	}

	public String getModalidadEu() {
		return modalidadEu;
	}

	public void setModalidadEu(String modalidadEu) {
		this.modalidadEu = modalidadEu;
	}

	public String getEspecialidadEs() {
		return especialidadEs;
	}

	public void setEspecialidadEs(String especialidadEs) {
		this.especialidadEs = especialidadEs;
	}

	public String getEspecialidadEu() {
		return especialidadEu;
	}

	public void setEspecialidadEu(String especialidadEu) {
		this.especialidadEu = especialidadEu;
	}

	public String getGrupoEs() {
		return grupoEs;
	}

	public void setGrupoEs(String grupoEs) {
		this.grupoEs = grupoEs;
	}

	public String getGrupoEu() {
		return grupoEu;
	}

	public void setGrupoEu(String grupoEu) {
		this.grupoEu = grupoEu;
	}

	public String getCategoriaEs() {
		return categoriaEs;
	}

	public void setCategoriaEs(String categoriaEs) {
		this.categoriaEs = categoriaEs;
	}

	public String getCategoriaEu() {
		return categoriaEu;
	}

	public void setCategoriaEu(String categoriaEu) {
		this.categoriaEu = categoriaEu;
	}

	public String getTelefono() {
		return telefono;
	}

	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getWeb() {
		return web;
	}

	public void setWeb(String web) {
		this.web = web;
	}

	public Ubicacion getDatosUbicacion() {
		return datosUbicacion;
	}

	public void setDatosUbicacion(Ubicacion datosUbicacion) {
		this.datosUbicacion = datosUbicacion;
	}

	public Integer getNumSalones() {
		return numSalones;
	}

	public void setNumSalones(Integer numSalones) {
		this.numSalones = numSalones;
	}

	public Integer getNumComedores() {
		return numComedores;
	}

	public void setNumComedores(Integer numComedores) {
		this.numComedores = numComedores;
	}

	public Integer getNumSalonesComedor() {
		return numSalonesComedor;
	}

	public void setNumSalonesComedor(Integer numSalonesComedor) {
		this.numSalonesComedor = numSalonesComedor;
	}

	public Integer getNumHabitaciones() {
		return numHabitaciones;
	}

	public void setNumHabitaciones(Integer numHabitaciones) {
		this.numHabitaciones = numHabitaciones;
	}

	public Integer getNumHabitacionesIndividuales() {
		return numHabitacionesIndividuales;
	}

	public void setNumHabitacionesIndividuales(Integer numHabitacionesIndividuales) {
		this.numHabitacionesIndividuales = numHabitacionesIndividuales;
	}

	public Integer getNumHabitacionesDobles() {
		return numHabitacionesDobles;
	}

	public void setNumHabitacionesDobles(Integer numHabitacionesDobles) {
		this.numHabitacionesDobles = numHabitacionesDobles;
	}

	public Integer getNumHabitacionesDoblesCS() {
		return numHabitacionesDoblesCS;
	}

	public void setNumHabitacionesDoblesCS(Integer numHabitacionesDoblesCS) {
		this.numHabitacionesDoblesCS = numHabitacionesDoblesCS;
	}

	public Integer getNumHabMas4() {
		return numHabMas4;
	}

	public void setNumHabMas4(Integer numHabMas4) {
		this.numHabMas4 = numHabMas4;
	}

	public Integer getNumHabMenos4() {
		return numHabMenos4;
	}

	public void setNumHabMenos4(Integer numHabMenos4) {
		this.numHabMenos4 = numHabMenos4;
	}

	public Integer getNumConjuntos() {
		return numConjuntos;
	}

	public void setNumConjuntos(Integer numConjuntos) {
		this.numConjuntos = numConjuntos;
	}

	public Integer getNumEstudios() {
		return numEstudios;
	}

	public void setNumEstudios(Integer numEstudios) {
		this.numEstudios = numEstudios;
	}

	public Integer getNumApartamentos() {
		return numApartamentos;
	}

	public void setNumApartamentos(Integer numApartamentos) {
		this.numApartamentos = numApartamentos;
	}

	public Integer getNumSuites() {
		return numSuites;
	}

	public void setNumSuites(Integer numSuites) {
		this.numSuites = numSuites;
	}

	public Integer getNumMaximoSupletorias() {
		return numMaximoSupletorias;
	}

	public void setNumMaximoSupletorias(Integer numMaximoSupletorias) {
		this.numMaximoSupletorias = numMaximoSupletorias;
	}

	public Integer getNumTotalParcelas() {
		return numTotalParcelas;
	}

	public void setNumTotalParcelas(Integer numTotalParcelas) {
		this.numTotalParcelas = numTotalParcelas;
	}

	public Integer getNumParcelasANF() {
		return numParcelasANF;
	}

	public void setNumParcelasANF(Integer numParcelasANF) {
		this.numParcelasANF = numParcelasANF;
	}

	public Integer getNumParcelasAF() {
		return numParcelasAF;
	}

	public void setNumParcelasAF(Integer numParcelasAF) {
		this.numParcelasAF = numParcelasAF;
	}

	public Integer getNumParcelasSA() {
		return numParcelasSA;
	}

	public void setNumParcelasSA(Integer numParcelasSA) {
		this.numParcelasSA = numParcelasSA;
	}

	public Integer getNumBanosGenerales() {
		return numBanosGenerales;
	}

	public void setNumBanosGenerales(Integer numBanosGenerales) {
		this.numBanosGenerales = numBanosGenerales;
	}

	public Integer getNumResidentesPerm() {
		return numResidentesPerm;
	}

	public void setNumResidentesPerm(Integer numResidentesPerm) {
		this.numResidentesPerm = numResidentesPerm;
	}

	public Integer getNumDormResid() {
		return numDormResid;
	}

	public void setNumDormResid(Integer numDormResid) {
		this.numDormResid = numDormResid;
	}

	public Integer getNumDormUsuario() {
		return numDormUsuario;
	}

	public void setNumDormUsuario(Integer numDormUsuario) {
		this.numDormUsuario = numDormUsuario;
	}

	public Integer getBar() {
		return bar;
	}

	public void setBar(Integer bar) {
		this.bar = bar;
	}

	public Integer getRestaurante() {
		return restaurante;
	}

	public void setRestaurante(Integer restaurante) {
		this.restaurante = restaurante;
	}

	public Integer getPiscina() {
		return piscina;
	}

	public void setPiscina(Integer piscina) {
		this.piscina = piscina;
	}

	public Integer getDisponeSalon() {
		return disponeSalon;
	}

	public void setDisponeSalon(Integer disponeSalon) {
		this.disponeSalon = disponeSalon;
	}

	public Integer getDisponeCocina() {
		return disponeCocina;
	}

	public void setDisponeCocina(Integer disponeCocina) {
		this.disponeCocina = disponeCocina;
	}

	public BigDecimal getSuperficieTotal() {
		return superficieTotal;
	}

	public void setSuperficieTotal(BigDecimal superficieTotal) {
		this.superficieTotal = superficieTotal;
	}

	public BigDecimal getSuperficieTotalHabitaciones() {
		return superficieTotalHabitaciones;
	}

	public void setSuperficieTotalHabitaciones(BigDecimal superficieTotalHabitaciones) {
		this.superficieTotalHabitaciones = superficieTotalHabitaciones;
	}

	public BigDecimal getSuperficieTotalRestoDependencias() {
		return superficieTotalRestoDependencias;
	}

	public void setSuperficieTotalRestoDependencias(BigDecimal superficieTotalRestoDependencias) {
		this.superficieTotalRestoDependencias = superficieTotalRestoDependencias;
	}

}
